{****************************************************************************}
{*                                                                          *}
{*                              Program/Module                              *}
{*                                   from                                   *}
{*                 NUMERICAL TOOLBOX FOR VERIFIED COMPUTING I               *}
{*                         Basic Numerical Problems                         *}
{*                                                                          *}
{*      Copyright (c) 1993   Rolf Hammer, Matthias Hocks, Dietmar Ratz      *}
{*                                                                          *}
{* This program/module is free software for non-commercial use. For details *}
{* on theory, algorithms, and programs, see the book                        *}
{*                                                                          *}
{*  R. Hammer, M. Hocks, U. Kulisch, D. Ratz:  Numerical Toolbox for        *}
{*  Verified Computing I - Basic Numerical Problems. Springer-Verlag,       *}
{*  Heidelberg (ISBN 3-540-57118-3), New York (ISBN 0-387-57118-3), 1993.   *}
{*                                                                          *}
{* This program/module is distributed WITHOUT ANY WARRANTY. For details,    *}
{* see the "Disclaimer / Legal Matters" of the book (page iv).              *}
{*                                                                          *}
{****************************************************************************}
program cpzero_example(input, output);
use
  c_ari,                                    { Complex arithmetic             }
  ci_ari,                                   { Complex interval arithmetic    }
  cpoly,                                    { Complex polynomials            }
  cipoly,                                   { Complex interval polynomials   }
  cpzero;                                   { Complex polynomial zero finder }

procedure main(n : integer);
var
  ErrCode : integer;
  z       : complex;
  zz      : cinterval;
  p       : CPolynomial[0..n];
  qq      : CIPolynomial[0..n-1];
begin
  writeln('Enter the coefficients in increasing order: ');  read(p);
  writeln;
  write('Enter the starting approximation: ');  read(z);
  writeln;

  CPolyZero(p, z, qq, zz, ErrCode);

  if (ErrCode = 0) then
    begin
      writeln('Polynomial:'); writeln(p);
      writeln('Zero found in:'); writeln(zz); writeln;
      writeln('The coefficients of the reduced polynomial are:'); writeln(qq);
    end
  else
    writeln(CPolyZeroErrMsg(ErrCode));
end; { procedure main }

var
  n : integer;

begin
  n := -1;
  while (n < 0) do
  begin
    write('Enter the degree of the polynomial (>=0): '); read(n); writeln;
  end;
  main(n);
end.
