/*
**  CXSC is a C++ library for eXtended Scientific Computing (V 2.0_beta3)
**
**  Copyright (C) 1990-2000 Institut fuer Angewandte Mathematik,
**                          Universitaet Karlsruhe, Germany
**            (C) 2000-2003 Wiss. Rechnen/Softwaretechnologie
**                          Universitaet Wuppertal, Germany   
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Library General Public
**  License as published by the Free Software Foundation; either
**  version 2 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Library General Public License for more details.
**
**  You should have received a copy of the GNU Library General Public
**  License along with this library; if not, write to the Free
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* CVS $Id: cxscconf.h,v 1.14 2003/12/18 09:49:52 cxsc Exp $ */

#ifndef CXSCCONF_H
#define CXSCCONF_H


/*--------------------------------------------------------------*/
/* Installation Macros :                                        */
/* Exactly one of the following macros must be non-zero.        */
/*--------------------------------------------------------------*/

/* PC with Intel 386/486/Pentium-Processor or compatible        */
/* OS: LINUX                                                    */
/* GNU compiler gcc 2.95.2/2.95.3/3.2/3.3/3.3.2                 */
/* or Intel C++ Compiler 7.1/8.0                                */
#define IBM_LINUX_C	1

/* SUN Sparc Workstation                                        */
/* OS: SUN Solaris                                              */
/* GNU compiler gcc 2.95.2/2.95.3/3.2/3.3/3.3.2                 */
#define SUN4_GNU_C	0

/* SUN Sparc Workstation                                        */
/* OS: SUN Solaris                                              */
/* SUN Forte Developer 7 C++ Compiler 5.4                       */
#define SUN4_FORTE	0

/* Compaq Workstation with Alpha 21264 processor                */
/* (e.g. parallel computer ALiCE Wuppertal)                     */
/* GNU compiler gcc 2.95.2                                      */
#define DEC_ALPHA_C     0

/*--------------------------------------------------------------*/
/* Rounding Mode Macros :                                       */
/* If all macros are zero C-XSC uses software emulations for    */
/* directed rounded floating-point operations                   */
/*--------------------------------------------------------------*/

/* With hardware support for IEEE 759 arithmetic,               */
/* rounding control conforming to ISO C 99 (using "fenv.h")     */
/* The functions fegetround(), fesetround() must be available   */
/* on your system (e.g. in the GNU C++ library "libg")          */
/* e.g. you can set these macros on LINUX-PCs                   */

#define ROUND_C99_SAVE	0	

#define ROUND_C99_QUICK 0

/* With hardware support for IEEE 759 arithmetic,               */
/* rounding control conforming to ISO C 9x (using "fenv96.h")   */
/* e.g. you can set these macros on SUN workstations with       */
/* a SUN Forte C++ compiler                                     */
/* Attention! You must link with '-lm9x' to get executables     */

#define ROUND_C96_SAVE	0

#define ROUND_C96_QUICK 0

#endif
